helix-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Kanak Biscuitwala (JIRA)" <j...@apache.org>
Subject [jira] [Resolved] (HELIX-258) Upgrade Apache Camel due to CVE-2013-4330
Date Sat, 19 Oct 2013 00:25:46 GMT

     [ https://issues.apache.org/jira/browse/HELIX-258?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Kanak Biscuitwala resolved HELIX-258.
-------------------------------------

    Resolution: Fixed

Tests pass for me too. Pushed to master and 0.6.2

> Upgrade Apache Camel due to CVE-2013-4330
> -----------------------------------------
>
>                 Key: HELIX-258
>                 URL: https://issues.apache.org/jira/browse/HELIX-258
>             Project: Apache Helix
>          Issue Type: Bug
>          Components: helix-core
>    Affects Versions: 0.6.1-incubating
>            Reporter: David Jorm
>            Assignee: Kanak Biscuitwala
>            Priority: Critical
>              Labels: security
>
> Helix uses Apache Camel 2.5.0, which is likely to be vulnerable to CVE-2013-4330, a remote
code execution flaw:
> http://camel.apache.org/security-advisories.data/CVE-2013-4330.txt.asc
> The Camel component should be upgraded to version 2.9.8, 2.10.7, 2.11.2 or 2.12.1



--
This message was sent by Atlassian JIRA
(v6.1#6144)

Mime
View raw message